stock reload()
{
	decl Handle:hGroupTrie;
	
	if (g_hNameAr == INVALID_HANDLE)
	{
		g_hNameAr  = CreateArray(COLOR_NAME_LENGTH);
		g_hColorAr = CreateArray(4);
		g_hGroupAr = CreateArray(1);
	}
	else
	{
		while (--g_Count > -1)
		{
			if ((hGroupTrie = Handle:GetArrayCell(g_hGroupAr, g_Count)) != INVALID_HANDLE)
				CloseHandle(hGroupTrie);
		}

		ClearArray(g_hNameAr);
		ClearArray(g_hColorAr);
		ClearArray(g_hGroupAr);
	}
	
	g_Count = 0;
	new Handle:kv = CreateKeyValues(ITEM_NAME);
	if (FileToKeyValues(kv, PATH_TO_FILE) && KvGotoFirstSubKey(kv, true))
	{
		decl String:sColor[64], String:sColorName[COLOR_NAME_LENGTH], c[4], String:info[VIP_GROUPS_LINE_LENGTH], String:buffer[VIP_GROUPS_LINE_MAX][GROUP_LENGTH], x;
		do
		{
			if (KvGetSectionName(kv, sColorName, COLOR_NAME_LENGTH) && TrimString(sColorName) && FindStringInArray(g_hNameAr, sColorName) < 0)
			{
				KvGetString(kv, "color", sColor, sizeof(sColor));
				if (GetColorFromString(sColor, c, sizeof(c)))
				{
					hGroupTrie = INVALID_HANDLE;
					KvGetString(kv, "vip_groups", info, VIP_GROUPS_LINE_LENGTH, "");
					if (info[0] && (x = ExplodeString(info, "|", buffer, VIP_GROUPS_LINE_MAX, GROUP_LENGTH)) > 0)
					{
						while (--x > -1)
						{
							if (TrimString(buffer[x]) && VIP_IsValidGroup(buffer[x]))
							{
								if (hGroupTrie == INVALID_HANDLE) hGroupTrie = CreateTrie();
								SetTrieValue(hGroupTrie, buffer[x], 1);
							}
						}
					}
					
					PushArrayString	(g_hNameAr , sColorName);	// "invis50"
					PushArrayArray	(g_hColorAr, c, sizeof(c));	// rgba[4]
					PushArrayCell	(g_hGroupAr, hGroupTrie);
					
					g_Count++;
				}
			}
		}
		while (KvGotoNextKey(kv, true));
	}
	CloseHandle(kv);
}